package com.zhongshu.reward.server.core.dao;

import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;
import com.zhongshu.reward.server.core.dao.extend.InviteRecordDaoExtend;
import com.zhongshu.reward.server.core.domain.InviteRecord;

/**
 * @author wjf
 * @date 2024/8/9
 */
public interface InviteRecordDao extends MongoDao<InviteRecord>, InviteRecordDaoExtend {

    InviteRecord findByUserIdAndInviteUserIdAndDisable(String userId, String inviteUserId, boolean disable);

    boolean existsByUserId(String userId);

    InviteRecord findTopByUserIdOrderByCreateTime(String userId);

}
